### File

`packages/core/src/lib/services/storage/async-storage.service.ts`

### Description

Generic asynchronous storage service. Concrete asynchronous storage services must extend this class

### Extends

`StorageService`

### Index

###### Methods
Abstract get Abstract get Abstract ready Abstract remove removeAsync Abstract set Abstract set setAsync setAsync Abstract name

### Methods

Abstract get
`get(key: string)`
retrieve an object from async storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `Observable<any>` one time emission Observable of value

Abstract get
`get(key: string)`
Type parameters : T
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<T>`

Abstract ready
`ready()`
reflects the readiness of the storage Returns : `Observable<any>` one time emission Observable

Abstract remove
`remove(key: string)`
removes an object from async storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `Observable<any>` one time emission Observable

removeAsync
`removeAsync(key: string)`
asynchronous helper for remove function Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `void`

Abstract set
`set(key: string, value: any)`
sets an object in async storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set
Returns : `Observable<any>` one time emission Observable

Abstract set
`set(key: string, value: T)`
Type parameters : T
Parameters :
Name | Type | Optional
key | `string` | No
value | `T` | No
Returns : `Observable<any>`

setAsync
`setAsync(key: string, value: any)`
asynchronous helper for set function Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set
Returns : `void`

setAsync
`setAsync(key: string, value: T)`
Type parameters : T
Parameters :
Name | Type | Optional
key | `string` | No
value | `T` | No
Returns : `void`

Abstract name
`name()`
utility function, to determine the storage implementation Returns : `string`

# results matching ""

# No results matching ""